Bug 207267 - suffering delays and timeouts accessing web pages over firefox (seems to be no firefox bug though)
suffering delays and timeouts accessing web pages over firefox (seems to be n...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.swox.org/gmp
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 06:29 EDT by Juergen Bullinger
Modified: 2008-05-06 12:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2006-09-20 06:29:16 EDT
Description of problem:

If I try to access some web pages like www.swox.org/gmp the response i bad.
Sometimes it just takes some minutes, sometimes it even results in a timeout.

The owner of the site (Torbjorn Granlund) mentioned that this is most likely a
bug in the linux kernel and can be worked around using the following command:

echo 0 >/proc/sys/net/ipv4/tcp_window_scaling

indeed this fixes the problem, but is there already an offical patch?

Version-Release number of selected component (if applicable):

Linux prime.mydomain 2.6.17-1.2187_FC5 #1 SMP Mon Sep 11 01:16:59 EDT 2006
x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

in about 90% of all cases

Steps to Reproduce:
1. open firefox
2. enter the url (see above)
3. wait
4. wait longer :o)
  
Actual results:

timeouts. I haven't recognized somethink like that on other web sites yet, but
it seems strange to me, that I can do a workaround on my machine to solve this
problem. Is it really a problem on my machine?

Expected results:

the page is displayed after the usual 

Additional info:
Comment 1 Dave Jones 2006-10-16 17:50:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:18:02 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 3 Kevin J. Miller 2007-01-17 13:28:59 EST
This appears to be a kernel bug and not a problem with the browser.  I have
found two web pages that I cannot access: www.nohrsc.noaa.gov and
www.gpsworld.com, and found the same behavior on two different FC6 computers. 
If I boot with a non-Fedora live CD, I can access these web sites.  If I set up
an ssh tunnel, I can access these web sites.  I have run tests with iptables and
selinux disabled, and the problem remained.

The simplest test is to run: wget -d www.nohrsc.noaa.gov

It consistently opens the socket, sends the http request, and then hangs:
"awaiting response..."

Note the h/w I have is i386, and I'm running fc6.
Comment 4 Konrad Rzeszutek 2007-01-17 13:49:43 EST
It really is not a kernel bug. It is a bug with the routers between you and the
site that are visiting. To be specific it is firmware not adhering to the RFCs.

Just curious, what are the "non-Fedora" CDs that work with this? I would expect
that all of the new distros would have this problem since this functionality was
taken from upstream.
Comment 5 Kevin J. Miller 2007-01-17 22:13:38 EST
The live CD is Ubuntu 6.06.1, kernel is 2.6.15-26.
Comment 6 Bug Zapper 2008-04-03 23:47:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:22:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.